## org.exist.util
Class XMLReaderObjectFactory

    java.lang.Object
      org.apache.commons.pool.BasePoolableObjectFactory
          org.exist.util.XMLReaderObjectFactory

All Implemented Interfaces:
  org.apache.commons.pool.PoolableObjectFactory

public class XMLReaderObjectFactory
extends org.apache.commons.pool.BasePoolableObjectFactory

Factory to create new XMLReader objects on demand. The factory is used by `XMLReaderPool`.

Author:
  wolf

Field Summary
`static java.lang.String` `PROPERTY_VALIDATION`

Constructor Summary
`XMLReaderObjectFactory(BrokerPool pool)`

Method Summary
`java.lang.Object` `makeObject()`

Methods inherited from class org.apache.commons.pool.BasePoolableObjectFactory
`activateObject, destroyObject, passivateObject, validateObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_VALIDATION

    public static java.lang.String PROPERTY_VALIDATION

Constructor Detail

### XMLReaderObjectFactory

    public XMLReaderObjectFactory(BrokerPool pool)

Method Detail

### makeObject

    public java.lang.Object makeObject()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.